Just install Plupload on fresh drupal 6.20 install with node_gallery 3x and I get this message when I try to upload images to gallery with pupload:

New gallery of 'Gallery Image' images using plupload
Your browser does not support HTML5 native or flash upload. Try Firefox 3, Safari 4, or Chrome; or install Flash.

tested in Firefox 3 and Chrome 8,
Although the demo is working great - http://ng3demo.sysadminsjourney.com/
also there is JS error:
$("#uploader", self.context).pluploadQueue is not a function
[Break On This Error] self.uploader = $("#uploader", self.context).pluploadQueue();

any thoughts ?

Comments

Status:Active» Postponed (maintainer needs more info)

Did you download the plupload javascript library?

Look in the README.txt file for details on how to do that.

Status:Postponed (maintainer needs more info)» Closed (fixed)

I have plupload downloaded already in the module directory but seems like it was Permission issue. I set -rwx to plupload folder and all sub-folders and files and it's working great, thansk!! :)

p.s.
if the browser doesn't support html5 do plupload make automatically Flash based uploader?
(I can't test it sorry)

I just installed the plupload module and I must say I love the concept. I also had the same problem with browser support even though the library directory exists in the correct path. If anyone else is getting the same problem its simply fixed by running cron. Hope this helps.

If you have checked that the plupload javascript library has been installed correctly and that file permissions for the library set to 0755 then try changing your theme to a basic theme (eg bluemarine). This was the case for me plupload is visible in Bluemarine but I get the "Your browser does not support HTML5 native or flash upload. Try Firefox 3, Safari 4, or Chrome; or install Flash." message in: http://www.templatemonster.com/drupal-themes/28349.html

removing tag spam